package org.bench4q.share.models.monitor;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

import org.bench4q.share.models.master.statistics.SampleModel;

@XmlRootElement(name = "NetworkInterface")
public class NetworkInterfaceModel extends SampleModel{
	private Double kiloBytesTotalPerSecond;
	private Double kiloBytesReceivedPerSecond;
	private Double kiloBytesSentPerSecond;

	public NetworkInterfaceModel() {
	}

	@XmlElement
	public Double getKiloBytesTotalPerSecond() {
		return kiloBytesTotalPerSecond;
	}

	public void setKiloBytesTotalPerSecond(Double kiloBytesTotalPerSecond) {
		this.kiloBytesTotalPerSecond = kiloBytesTotalPerSecond;
	}

	@XmlElement
	public Double getKiloBytesReceivedPerSecond() {
		return kiloBytesReceivedPerSecond;
	}

	public void setKiloBytesReceivedPerSecond(Double kiloBytesReceivedPerSecond) {
		this.kiloBytesReceivedPerSecond = kiloBytesReceivedPerSecond;
	}

	@XmlElement
	public Double getKiloBytesSentPerSecond() {
		return kiloBytesSentPerSecond;
	}

	public void setKiloBytesSentPerSecond(Double kiloBytesSentPerSecond) {
		this.kiloBytesSentPerSecond = kiloBytesSentPerSecond;
	}

}
